## x-build 6.5.4

=== Makefile ===
all: xlibs.mk
install:
	mkdir -p $(DESTDIR)/usr/share/cdbs/1/class
	cp xlibs.mk $(DESTDIR)/usr/share/cdbs/1/class

## x-build 6.5.2

=== debian/changelog ===
x-build (6.5.2) unstable; urgency=low

  * remove libxtrap-dev and pm-dev per sdk:s request

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu,  4 Nov 2004 14:54:12 +0200

x-build (6.5.1) unstable; urgency=low

  * typo fix

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu,  4 Nov 2004 14:36:15 +0200

x-build (6.5) unstable; urgency=low

  * drop libxp[6|-dev]

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  3 Nov 2004 15:27:44 +0200

x-build (6.4) unstable; urgency=low

  * added libxsp0, libxtst6 and libxau0 to xlibs[-dev]

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 28 Oct 2004 16:14:43 +0300

x-build (6.3) unstable; urgency=low

  * xlibs != xlibs-dev

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 25 Oct 2004 17:55:41 +0300

x-build (6.2) unstable; urgency=low

  * add more metapackages

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 25 Oct 2004 14:21:04 +0300

x-build (6.1) unstable; urgency=low

  * Added xlibs metapackage

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 22 Oct 2004 13:23:02 +0300

x-build (6.0) unstable; urgency=low

  * Added some common packages to ease migration

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 18 Oct 2004 16:39:56 +0300

x-build (1.2) unstable; urgency=low

  * drop automake to 1.8 

 -- Riku Voipio <rvoipio+packages@movial.fi>  Tue, 31 Aug 2004 14:29:03 +0000

x-build (1.1) unstable; urgency=low

  * automatically include autotools and debhelper 

 -- Riku Voipio <rvoipio+packages@movial.fi>  Tue, 31 Aug 2004 14:10:12 +0000

x-build (1.0) unstable; urgency=low

  * Initial Release.

 -- Riku Voipio <rvoipio+packages@movial.fi>  Tue, 31 Aug 2004 13:04:53 +0000

=== debian/control ===
Source: x-build
Section: x11
Priority: optional
Maintainer: Riku Voipio <rvoipio+packages@movial.fi>
Build-Depends-Indep: debhelper (>= 4.1.88), cdbs
Standards-Version: 3.6.1.1

Package: x-build
Section: devel
Architecture: all
Depends: autoconf, automake1.8, cdbs, debhelper (>= 4.1.88), pkg-config, libtool, binutils (>= 2.14.90.0.7)
Conflicts: automake1.9
Suggests: cvs
Description: X build tools
 This package is a build dpency of the freedesktop debian packaging. 
 It includes the generic depencies and and cdbs class file. This keeps 
 the build-Depends: line and debian/rules simple and sweet.

Package: xlibs-static-pic
Priority: extra
Section: libdevel
Architecture: all
Replaces: xlibs-pic (<< 4.3.0)
Depends: libxext-dev, libxv-dev, libx11-dev, libxau-dev, zlib1g-dev | libz-dev
Conflicts: xlibs-pic (<< 4.3.0)
Description: sundry X stuff
 TODO

Package: xlibs-static-dev
Priority: extra
Section: libdevel
Architecture: all
Depends: x-dev, libxext-dev, libxv-dev, libx11-dev, zlib1g-dev | libz-dev, libc6-dev | libc-dev
Conflicts: xdevel, xlib6g-dev (<< 4.0), xlib6g-static, xpm4g-dev, xmanpages, libxfont-xtt-dev
Description: sundry X stuff
 TODO

Package: xlibs-dev
Priority: extra
Section: oldlibs
Architecture: all
Depends: libice-dev, libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxpm-dev, libxrandr-dev, libxt-dev, libxtst-dev, libxv-dev, x-dev, libxsp-dev, libxau-dev
Description: X Window System client library development files pseudopackage
 This package smooths upgrades from Debian 3.0 by depending on libice-dev,
 libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev,
 libxp-dev, libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev,
 libxv-dev, pm-dev, x-dev, and xlibs-static-dev.  This pseudopackage is only
 depended upon by packages that haven't yet corrected their dependencies to
 reflect the new library arrangement.

Package: xlibs
Priority: optional
Section: libs
Architecture: all
Depends: libice6, libsm6, libx11-6, libxext6, libxi6, libxpm4, libxrandr2, libxt6, libxtst6, libxsp0, libxau0
Description: X Window System client libraries metapackage and XKB data
 This package smooths upgrades from Debian 3.0 by depending on the individual
 library packages into which each shared object formerly contained in this
 package has been split.
 .
 This package is only depended upon by packages that haven't yet been compiled
 against the new shared library packages.

## x-build 6.5.3

=== debian/changelog ===
x-build (6.5.3) unstable; urgency=low

  * cleanup

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu,  6 Oct 2005 18:06:46 +0300

## x-build 6.5.4

=== debian/changelog ===
x-build (6.5.4) unstable; urgency=low

  * Fix copyright holder/licence statement.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 24 May 2006 11:03:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: x-build
 Section: x11
 Priority: optional
-Maintainer: Riku Voipio <rvoipio+packages@movial.fi>
+Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
 Build-Depends-Indep: debhelper (>= 4.1.88), cdbs
 Standards-Version: 3.6.1.1

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
